> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Execution Logs

> Cross-workflow execution logs for the company.



## OpenAPI

````yaml GET /workflow/executions/logs/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /workflow/executions/logs/:
    get:
      tags:
        - workflow
      summary: List All Execution Logs
      description: Cross-workflow execution logs for the company.
      operationId: workflow_executions_logs_retrieve
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: workflow_id
          schema:
            type: string
            format: uuid
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllExecutionLogsResponse'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    AllExecutionLogsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowExecution'
        total:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
      required:
        - page
        - page_size
        - results
        - total
        - total_pages
    WorkflowExecution:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        workflow_name:
          type: string
          readOnly: true
        current_action_name:
          type: string
          readOnly: true
        contact_name:
          type: string
          readOnly: true
        action_config:
          type: string
          readOnly: true
        actions_run:
          type: string
          readOnly: true
        trigger_context:
          description: Context from trigger event
        status:
          $ref: '#/components/schemas/WorkflowExecutionStatusEnum'
        current_action_index:
          type: integer
          maximum: 2147483647
          minimum: 0
        wait_until:
          type: string
          format: date-time
          nullable: true
        wait_for_call_id:
          type: string
          nullable: true
          description: If waiting for call end
          maxLength: 36
        error_message:
          type: string
        results:
          description: Results from each action
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        completed_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        workflow:
          type: string
          format: uuid
      required:
        - action_config
        - actions_run
        - completed_at
        - contact_name
        - created_at
        - current_action_name
        - id
        - updated_at
        - workflow
        - workflow_name
    WorkflowExecutionStatusEnum:
      enum:
        - pending
        - running
        - completed
        - failed
        - waiting
      type: string
      description: |-
        * `pending` - Pending
        * `running` - Running
        * `completed` - Completed
        * `failed` - Failed
        * `waiting` - Waiting
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````